## drmaa 0.7.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DRMAAPython.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DRMAAPython.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DRMAAPython"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DRMAAPython"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## drmaa 0.4~b3

=== debian/changelog ===
drmaa (0.4~b3-2) unstable; urgency=low

  * Depend on Python (Closes: #591982). Thanks to Jakub Wilk.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 06 Aug 2010 15:43:13 -0400

drmaa (0.4~b3-1) unstable; urgency=low

  * Initial Debian packaging based on debhelper's "dh" and using the new source
    package format 3.0 (quilt) (Closes: #584436).

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 03 Jun 2010 11:41:50 -0400

=== debian/control ===
Source: drmaa
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), python-all, python-support, python-setuptools
Standards-Version: 3.8.4
Section: python
Homepage: http://code.google.com/p/drmaa-python/
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=exppsy/python-drmaa.git
Vcs-Git: git://git.debian.org/git/exppsy/python-drmaa.git

Package: python-drmaa
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, libdrmaa1.0
XB-Python-Version: ${python:Versions}
Description: interface to DRMAA-compliant distributed resource management systems
 This is a Python implementation of the Distributed Resource Management (DRM)
 Application API (DRMAA). It provides all high-level functionality necessary
 to consign a job to a DRM system (e.g. Sun Gridengine), including common
 operations on jobs, such as termination or suspension.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# one ring to rule them all ...
%:
	dh $@

## drmaa 0.5

=== debian/changelog ===
drmaa (0.5-1) unstable; urgency=low

  * new upstream release contains an important fix for
    third-party drmaa connectors (e.g. slurm-drmaa)
  * Bumped Standards-Version  (no change required)
  * switch to dh_python2

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 13 Apr 2012 19:41:49 -0400

drmaa (0.4~b3-3) unstable; urgency=low

  * removed libdrmaa1.0 dependency (Closes: #648269)
  * added libdrmaa1.0 and pbs-drmaa1 to Suggests field
  * updated machine readable coyright file
  * Bumped Standards-Version  (no change required)
  * Bumped compat level (no change required)
  * added myself to Uploaders field

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 10 Nov 2011 22:16:56 -0500

=== debian/control ===
Source: drmaa
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>, Dominique Belhachemi <domibel@debian.org>
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.3
Section: python
Homepage: http://code.google.com/p/drmaa-python/
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/python-drmaa.git
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/python-drmaa.git

Package: python-drmaa
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: libdrmaa1.0, pbs-drmaa1
Description: interface to DRMAA-compliant distributed resource management systems
 This is a Python implementation of the Distributed Resource Management (DRM)
 Application API (DRMAA). It provides all high-level functionality necessary
 to consign a job to a DRM system (e.g. Sun Gridengine), including common
 operations on jobs, such as termination or suspension.

=== debian/rules ===
--- 
+++ 
@@ -3,4 +3,4 @@
 
 # one ring to rule them all ...
 %:
-	dh $@
+	dh $@ --with=python2

=== debian/watch ===
version=3
opts=dversionmangle=s/~// \
http://googlecode.debian.net/p/drmaa-python/drmaa-(.*)\.tar\.gz

## drmaa 0.7.9

=== debian/changelog ===
drmaa (0.7.9-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Depends: gridengine-drmaa-dev

  [ Pierre Gruet ]
  * Standards-Version: 4.6.2 (routine-update)
  * Removing unexisting packages from Suggests:

  [ Étienne Mollier ]
  * d/tests/: modified autodep8-pkg-python autopkgtest to fix jemalloc error.
    This fixes autopkgtest failure by preloading the libdrmaa.
  * d/control: remove native autodep8-pkg-python support.
  * jemalloc-5.patch: add; hint end users to preload the libdrmaa.

 -- Étienne Mollier <emollier@debian.org>  Sun, 05 Feb 2023 17:54:30 +0100

drmaa (0.7.9-2) unstable; urgency=medium

  * Team upload.
  * Add fixed path to libdrmaa.so.1.0
    Closes: #953832
  * cme fix dpkg-control
  * Add salsa-ci file (routine-update)
  * VCS fields identical to source package name

 -- Andreas Tille <tille@debian.org>  Tue, 12 May 2020 17:39:19 +0200

drmaa (0.7.9-1) unstable; urgency=medium

  * Team upload.
  * Take over maintenance in Debian Med team
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 22:05:48 +0100

drmaa (0.7.9-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version (Closes: #851345).
  * Drop Python 2 module package (Closes: #936444).
  * Add Python 3 module package.
  * Update debian/watch to new location.
  * Update homepage.
  * Update Vcs-* fields.
  * Update to debhelper-compat (= 12).
  * Update to pybuild.
  * Update Standards-Version to 4.4.1 (no changes required).
  * Add Recommends on appropriate drmaa library (Closes: #896391).
  * Change Priority from extra to optional.
  * Fix URLs in copyright file.
  * Add Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Fri, 10 Jan 2020 11:43:59 +1100

=== debian/control ===
Source: drmaa
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael Hanke <michael.hanke@gmail.com>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Dominique Belhachemi <domibel@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/drmaa
Vcs-Git: https://salsa.debian.org/med-team/drmaa.git
Homepage: https://drmaa-python.readthedocs.io/en/latest/
Rules-Requires-Root: no

Package: python3-drmaa
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         gridengine-drmaa-dev
Recommends: gridengine-drmaa1.0
Description: interface to DRMAA-compliant distributed resource management systems
 This is a Python implementation of the Distributed Resource Management (DRM)
 Application API (DRMAA). It provides all high-level functionality necessary
 to consign a job to a DRM system (e.g. Sun Gridengine), including common
 operations on jobs, such as termination or suspension.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# one ring to rule them all ...
%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Skip tests since it requires a working gridengine instance"
endif

=== debian/tests/control ===
Tests: run-test
Depends: @, python3-all
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/drmaa-$1\.tar\.gz/ \
  https://github.com/pygridtools/drmaa-python/tags .*/v?(\d\S+)\.tar\.gz
